import java.util.HashMap;

public class Infrastruktura extends Projekat{
    private HashMap<String, Deonica> deonice; //String je sifra deonice    
    //2
    public Infrastruktura(int trajanje){
        super(trajanje);
        deonice=new HashMap<>();
    }
    
    //5
    public String toString(){
        String rez=super.toString();
        for(Deonica d:deonice.values()){
            rez=rez+"\n";
            rez=rez+d.toString();
        }
        return rez;
    }
    
    public double duzinaNajduze(){
        double maxd=0;
        for(Deonica d:deonice.values()){
            if(d.dajDuzinu()>maxd){
                maxd=d.dajDuzinu();
            }
        }
        return maxd;
    }
    
    public void dodajDeonicu(Deonica d){
        deonice.put(d.dajSifru(),d);
    }
    
    //6
    public void odrediCenu(){
        cena=0;
        for(Deonica d:deonice.values()){
            cena+=d.dajCenu()*d.dajDuzinu();
        }
    }
}
